GNU bug report logs - #16105
(setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Keith David Bershatsky <esq@HIDDEN>; dated Tue, 10 Dec 2013 23:07:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16105 <at> debbugs.gnu.org:


Received: (at 16105) by debbugs.gnu.org; 10 Jun 2014 05:26:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 10 01:26:50 2014
Received: from localhost ([127.0.0.1]:42468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WuEa9-00040L-Gc
	for submit <at> debbugs.gnu.org; Tue, 10 Jun 2014 01:26:49 -0400
Received: from mailfe09.swip.net ([212.247.155.1]:51402 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1WuEa5-000403-Qa
 for 16105 <at> debbugs.gnu.org; Tue, 10 Jun 2014 01:26:47 -0400
X-T2-Spam-Status: No, hits=0.0 required=5.0
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe09.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 334536500; Tue, 10 Jun 2014 07:26:40 +0200
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (1.0)
Subject: Re: bug#16105: (setq ns-auto-hide-menu-bar t) unhides the dock on
 S.L. 10.6.8.
From: "Jan D." <jan.h.d@HIDDEN>
X-Mailer: iPad Mail (11D201)
In-Reply-To: <D0573806-055C-48E7-B36E-0A686AF0DF4B@HIDDEN>
Date: Tue, 10 Jun 2014 07:26:41 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <2F6838C8-A151-45D3-8147-C417CFC184BA@HIDDEN>
References: <m2k3fci9w7.wl%esq@HIDDEN> <m2lhtdztrb.wl%esq@HIDDEN>
 <1F589BF0-78D9-442A-85B4-72BA2175E0E9@HIDDEN>
 <2A9FED8E-A566-44B1-8873-D8B12E610EA7@HIDDEN>
 <590B2629-A5EF-4C39-A6FC-C470B31DE4D2@HIDDEN>
 <E761830B-416C-4E35-B567-38B5D4544991@HIDDEN>
 <D0573806-055C-48E7-B36E-0A686AF0DF4B@HIDDEN>
To: Keith David Bershatsky <esq@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16105
Cc: 16105 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

Please don't remove the debbugs address.=20

> 8 jun 2014 kl. 19:30 skrev Keith David Bershatsky <esq@HIDDEN>:
>=20
> Jan:
>=20
> I looked through my old e-mails from an unrelated bug and discovered that I=
 build with gcc, whereas you build with clang, and on one particular occasio=
n that made the difference between the presence of a bug visible on my machi=
nes.

In this case it does not. I built with gcc and clang, and I can't reproduce t=
his.=20

        Jan D.=20=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16105; Package emacs. Full text available.

Message received at 16105 <at> debbugs.gnu.org:


Received: (at 16105) by debbugs.gnu.org; 8 Jun 2014 16:07:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 08 12:07:35 2014
Received: from localhost ([127.0.0.1]:41531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wtfd8-0002m5-Ho
	for submit <at> debbugs.gnu.org; Sun, 08 Jun 2014 12:07:34 -0400
Received: from mailfe01.swip.net ([212.247.154.1]:50815 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Wtfd5-0002lj-Ll
 for 16105 <at> debbugs.gnu.org; Sun, 08 Jun 2014 12:07:33 -0400
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe01.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 510710748; Sun, 08 Jun 2014 18:07:24 +0200
Content-Type: text/plain; charset=iso-8859-1
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.2\))
Subject: Re: bug#16105: (setq ns-auto-hide-menu-bar t) unhides the dock on
 S.L. 10.6.8.
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <590B2629-A5EF-4C39-A6FC-C470B31DE4D2@HIDDEN>
Date: Sun, 8 Jun 2014 18:07:23 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <E761830B-416C-4E35-B567-38B5D4544991@HIDDEN>
References: <m2k3fci9w7.wl%esq@HIDDEN> <m2lhtdztrb.wl%esq@HIDDEN>
 <1F589BF0-78D9-442A-85B4-72BA2175E0E9@HIDDEN>
 <2A9FED8E-A566-44B1-8873-D8B12E610EA7@HIDDEN>
 <590B2629-A5EF-4C39-A6FC-C470B31DE4D2@HIDDEN>
To: Keith David Bershatsky <esq@HIDDEN>
X-Mailer: Apple Mail (2.1878.2)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16105
Cc: 16105 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>=20
Hello.

6 jun 2014 kl. 19:00 skrev Keith David Bershatsky <esq@HIDDEN>:

> Hello:
>=20
> Thank you, Jan, for taking a look at bug #16105.  I'm using Emacs =
Trunk built a few days ago:
>=20
> GNU Emacs 24.4.50.1 (x86_64-apple-darwin10.8.0, NS appkit-1038.36 =
Version 10.6.8 (Build 10K549)) of 2014-06-01 on MP.local
>=20
> The bug is present on all three of my computers using the exact steps =
mentioned in the original bug report.  So, if you have tried those exact =
steps and are not seeing it, then perhaps  it is an issue similar to a =
previous one a few months ago.  A few months ago, you discovered that I =
was using a certain set of tools to build Emacs, which was different =
than the ones you are using, and that was the reason I was seeing a bug =
with the help menu.  I mention this because I'm still using the same =
tools to build Emacs.  I don't remember the name exactly, but it was =
something like "clang".

I build with clang.

>=20
> Essentially, the steps to show the bug are:
>=20
> * Place an Emacs Trunk shortcut on the dock.
>=20
> * Hide the dock.
>=20
> * C-F3 -- type "em" so the Emacs icon gets focus, and then press the =
enter key to launch Emacs.
>=20
> * Once Emacs is launched, Command+Tab to another application such as =
Finder or Safari or Firefox.
>=20
> * To switch back to Emacs, C-F3 -- type "em" so the Emacs icon gets =
focus, and then press the enter key to return to the already open Emacs.
>=20
> * And, I think that's it, the Dock will not be visible in Emacs, but =
when you Command-Tab back to any other application the Dock will be =
visible.  And hiding will not work again for other applications unless =
OSX is restarted, or unless you clock on Show the Dock and then Hide the =
Dock again to restore functionality.

I still can't reproduce it.  Dock hides as it should in all applications =
after following your steps.

	Jan D.

>>=20
>> Thanks
>>=20
>> Keith
>>=20
>>=20
>>=20
>>=20
>> ---------------------------------------
>>=20
>> On Jun 6, 2014, at 9:22 AM, Jan Dj=E4rv wrote:
>>=20
>>> Hello.
>>>=20
>>> FWIW, I don't see the original bug with Emacs trunk on OX 10.6.8.  =
Can you try that version?
>>>=20
>>> 	Jan D.
>>>=20
>>> 3 jun 2014 kl. 21.18 skrev Keith David Bershatsky:
>>>=20
>>>> I have a workaround for bug #16105, which may help the Emacs team =
locate the root cause.
>>>>=20
>>>> * Remove the Emacs.app shortcut from the Dock.
>>>>=20
>>>> * Restore hiding of the Dock to its normal working state.
>>>>=20
>>>> ** Click on the Apple logo.
>>>>=20
>>>> ** Go down to Dock on the menu.
>>>>=20
>>>> ** Select `Turn Hiding Off`
>>>>=20
>>>> ** Repeat the process now, but select `Turn Hiding On` this time =
around.
>>>>=20
>>>> * With the open-source program called Platypus, create an =
Application with the following script -- adjust the path accordingly.
>>>>=20
>>>> #!/bin/sh
>>>>=20
>>>> osascript -e 'tell application =
"/Users/HOME/.0.data/.0.emacs/Emacs_06_01_2014.app/Contents/MacOS/Emacs" =
to activate'
>>>>=20
>>>> * Drag that newly created application to the Dock to create a =
shortcut -- this will be the new method for activating Emacs with C-F3 =
or returning to Emacs with C-F3 when it is already running.
>>>>=20
>>>>=20
>>>> That's it -- workaround achieved!  So, bug #16105 is triggered =
specifically by accessing Emacs from the Dock with a shortcut created =
from the Emacs application.  A different method of activating Emacs =
avoids triggering the bug.
>>>>=20
>>>> Thanks,
>>>>=20
>>>> Keith
>>>>=20
>>>>=20
>>>=20
>=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16105; Package emacs. Full text available.

Message received at 16105 <at> debbugs.gnu.org:


Received: (at 16105) by debbugs.gnu.org; 6 Jun 2014 16:22:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 06 12:22:46 2014
Received: from localhost ([127.0.0.1]:39754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wswuk-00015C-5m
	for submit <at> debbugs.gnu.org; Fri, 06 Jun 2014 12:22:46 -0400
Received: from mailfe08.swip.net ([212.247.154.225]:56734 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1Wswuh-00014w-D0
 for 16105 <at> debbugs.gnu.org; Fri, 06 Jun 2014 12:22:44 -0400
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe08.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 508474610; Fri, 06 Jun 2014 18:22:34 +0200
References: <m2k3fci9w7.wl%esq@HIDDEN> <m2lhtdztrb.wl%esq@HIDDEN>
In-Reply-To: <m2lhtdztrb.wl%esq@HIDDEN>
Mime-Version: 1.0 (Apple Message framework v1085)
Content-Type: text/plain; charset=us-ascii
Message-Id: <1F589BF0-78D9-442A-85B4-72BA2175E0E9@HIDDEN>
Content-Transfer-Encoding: quoted-printable
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#16105: (setq ns-auto-hide-menu-bar t) unhides the dock on
 S.L. 10.6.8.
Date: Fri, 6 Jun 2014 18:22:33 +0200
To: Keith David Bershatsky <esq@HIDDEN>
X-Mailer: Apple Mail (2.1085)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16105
Cc: 16105 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello.

FWIW, I don't see the original bug with Emacs trunk on OX 10.6.8.  Can =
you try that version?

	Jan D.

3 jun 2014 kl. 21.18 skrev Keith David Bershatsky:

> I have a workaround for bug #16105, which may help the Emacs team =
locate the root cause.
>=20
> * Remove the Emacs.app shortcut from the Dock.
>=20
> * Restore hiding of the Dock to its normal working state.
>=20
>  ** Click on the Apple logo.
>=20
>  ** Go down to Dock on the menu.
>=20
>  ** Select `Turn Hiding Off`
>=20
>  ** Repeat the process now, but select `Turn Hiding On` this time =
around.
>=20
> * With the open-source program called Platypus, create an Application =
with the following script -- adjust the path accordingly.
>=20
> #!/bin/sh
>=20
> osascript -e 'tell application =
"/Users/HOME/.0.data/.0.emacs/Emacs_06_01_2014.app/Contents/MacOS/Emacs" =
to activate'
>=20
> * Drag that newly created application to the Dock to create a shortcut =
-- this will be the new method for activating Emacs with C-F3 or =
returning to Emacs with C-F3 when it is already running.
>=20
>=20
> That's it -- workaround achieved!  So, bug #16105 is triggered =
specifically by accessing Emacs from the Dock with a shortcut created =
from the Emacs application.  A different method of activating Emacs =
avoids triggering the bug.
>=20
> Thanks,
>=20
> Keith
>=20
>=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16105; Package emacs. Full text available.

Message received at 16105 <at> debbugs.gnu.org:


Received: (at 16105) by debbugs.gnu.org; 3 Jun 2014 19:18:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 03 15:18:58 2014
Received: from localhost ([127.0.0.1]:42623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WruEb-0007zm-P9
	for submit <at> debbugs.gnu.org; Tue, 03 Jun 2014 15:18:58 -0400
Received: from cobb.liquidweb.com ([50.28.13.150]:35454)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <esq@HIDDEN>) id 1WruEY-0007zS-KZ
 for 16105 <at> debbugs.gnu.org; Tue, 03 Jun 2014 15:18:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=lawlist.com;
 s=default; 
 h=Content-Type:MIME-Version:Subject:To:From:Message-ID:Date;
 bh=f5K8D4lhST782mW883TdAkxsACYDeIB0FFgula0e80g=; 
 b=OZmcrGxJWi4ilV3dzBLTyRbLuA8RVvYzoQiwiHarqgtxpp4Ug6uZ+fGDc5DRwu12bfzEExg6YYU26Og4p+XUCHwvjpAT+yssZwaJPdIXpZE0uzMyzXwFrzHZhuM7ts0B;
Received: from cpe-75-85-5-102.socal.res.rr.com ([75.85.5.102]:49243
 helo=MP.local) by cobb.liquidweb.com with esmtp (Exim 4.82)
 (envelope-from <esq@HIDDEN>) id 1WruEP-0005Yh-Uo
 for 16105 <at> debbugs.gnu.org; Tue, 03 Jun 2014 15:18:46 -0400
Date: Tue, 03 Jun 2014 12:18:48 -0700
Message-ID: <m2lhtdztrb.wl%esq@HIDDEN>
From: Keith David Bershatsky <esq@HIDDEN>
To: 16105 <at> debbugs.gnu.org
Subject: (setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.
User-Agent: / () / () APEL/10.8 Emacs/24.4.50 (x86_64-apple-darwin10.8.0)
 MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by   - "")
Content-Type: text/plain; charset=US-ASCII
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - cobb.liquidweb.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - lawlist.com
X-Get-Message-Sender-Via: cobb.liquidweb.com: acl_c_relayhosts_text_entry:
 lawlist|lawlist.com
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16105
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

I have a workaround for bug #16105, which may help the Emacs team locate the root cause.

* Remove the Emacs.app shortcut from the Dock.

* Restore hiding of the Dock to its normal working state.

  ** Click on the Apple logo.

  ** Go down to Dock on the menu.

  ** Select `Turn Hiding Off`

  ** Repeat the process now, but select `Turn Hiding On` this time around.

* With the open-source program called Platypus, create an Application with the following script -- adjust the path accordingly.

#!/bin/sh

osascript -e 'tell application "/Users/HOME/.0.data/.0.emacs/Emacs_06_01_2014.app/Contents/MacOS/Emacs" to activate'

* Drag that newly created application to the Dock to create a shortcut -- this will be the new method for activating Emacs with C-F3 or returning to Emacs with C-F3 when it is already running.


That's it -- workaround achieved!  So, bug #16105 is triggered specifically by accessing Emacs from the Dock with a shortcut created from the Emacs application.  A different method of activating Emacs avoids triggering the bug.

Thanks,

Keith




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16105; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Dec 2013 23:06:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 10 18:06:44 2013
Received: from localhost ([127.0.0.1]:42422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VqWO2-0006oq-Va
	for submit <at> debbugs.gnu.org; Tue, 10 Dec 2013 18:06:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54035)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <esq@HIDDEN>) id 1VqWO0-0006oh-2V
 for submit <at> debbugs.gnu.org; Tue, 10 Dec 2013 18:06:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <esq@HIDDEN>) id 1VqWNs-0000fF-27
 for submit <at> debbugs.gnu.org; Tue, 10 Dec 2013 18:06:39 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41635)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <esq@HIDDEN>) id 1VqWNr-0000f4-VB
 for submit <at> debbugs.gnu.org; Tue, 10 Dec 2013 18:06:31 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55624)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <esq@HIDDEN>) id 1VqWNl-0006Sm-Dk
 for bug-gnu-emacs@HIDDEN; Tue, 10 Dec 2013 18:06:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <esq@HIDDEN>) id 1VqWNf-0000b3-09
 for bug-gnu-emacs@HIDDEN; Tue, 10 Dec 2013 18:06:25 -0500
Received: from cobb.liquidweb.com ([50.28.13.150]:50979)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <esq@HIDDEN>) id 1VqWNe-0000au-NA
 for bug-gnu-emacs@HIDDEN; Tue, 10 Dec 2013 18:06:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=lawlist.com;
 s=default; 
 h=Content-Type:MIME-Version:Subject:To:From:Message-ID:Date;
 bh=+wDQVmTeMeum0H2+MSBUif7Aw8l07/aYm8lUsMSMfw4=; 
 b=5Mg1wr5V0qeyj2bPBoC9DslJTADdBGger1y0K2Zp1sFWTkudOKJTbBYfibFFo3Xn/clA6ZjNnpbX4IFENX5GNsJxhC10IXBUKAN3oMk6CVd4HTYEfRPDeGcKaLXU4tz8;
Received: from [159.83.115.40] (port=49524 helo=MBA.local)
 by cobb.liquidweb.com with esmtp (Exim 4.82)
 (envelope-from <esq@HIDDEN>) id 1VqWNc-0007b3-3B
 for bug-gnu-emacs@HIDDEN; Tue, 10 Dec 2013 18:06:16 -0500
Date: Tue, 10 Dec 2013 15:06:16 -0800
Message-ID: <m2k3fci9w7.wl%esq@HIDDEN>
From: Keith David Bershatsky <esq@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: (setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.
User-Agent: / () / () APEL/10.8 Emacs/24.3.50 (x86_64-apple-darwin10.8.0)
 MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by   - "")
Content-Type: text/plain; charset=US-ASCII
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - cobb.liquidweb.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - lawlist.com
X-Get-Message-Sender-Via: cobb.liquidweb.com: acl_c_relayhosts_text_entry:
 lawlist|lawlist.com
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

(setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.

Step 1:  Place (setq ns-auto-hide-menu-bar t) inside the init.el file.

Step 2:  Auto hide the OSX dock so that it comes up with Ctrl+F3 or with the mouse, and then hides again automatically when not in use.  Place the Emacs application icon on the Dock.

Step 3:  Launch Emacs using OSX 10.6.8 Snow Leopard.

Step 4:  Command+Tab to any other open application.

Step 5:  Ctrl+F3, type Emacs, RET

Step 6:  After you have switched back to Emacs, switch again to another application with Command+Tab -- the dock is visible full-time.

Thanks,

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


In GNU Emacs 24.3.50.1 (x86_64-apple-darwin10.8.0, NS apple-appkit-1038.36)
 of 2013-10-05 on MP.local
Bzr revision: 114534 monnier@HIDDEN
Windowing system distributor `Apple', version 10.3.1038
Configured using:
 `configure --with-ns'

Important settings:
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  hl-line-mode: t
  global-linum-mode: t
  delete-selection-mode: t
  yas-global-mode: t
  desktop-save-mode: t
  tabbar-mode: t
  global-highlight-parentheses-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
o n SPC <M-S-right> <M-S-right> <M-S-right> <M-S-right> 
<M-S-right> <backspace> <M-S-right> <M-S-right> <backspace> 
w i t h SPC C o m m a n d SPC + SPC t <backspace> T 
a b <left> <left> <left> <left> <right> <backspace> 
<left> <backspace> <down> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <M-left> <M-left> <M-left> <M-left> <M-left> 
<down> <down> <down> <up> <up> <up> <s-right> <M-left> 
<M-left> <M-left> <M-left> <M-left> <M-left> <M-left> 
<M-left> <M-left> <M-left> <M-left> <M-left> <M-left> 
<M-left> <M-left> <M-S-right> <M-S-right> <M-S-left> 
<backspace> <down> <down> <down> <down> <down> <M-left> 
<M-left> <M-right> <M-S-right> <M-S-right> <M-S-left> 
<backspace> <down> <down> <down> <down> <s-right> <M-left> 
<M-left> <M-left> <M-left> <M-left> <M-left> <M-left> 
<M-left> <s-backspace> w i t h SPC <M-right> <M-right> 
<M-right> <M-right> <M-right> <M-right> <M-right> <M-right> 
<M-right> <M-right> <M-right> <M-right> <M-right> <M-right> 
<M-right> <down> <right> <down> <down> <M-right> <M-right> 
<M-right> <M-right> <M-right> <M-right> <M-right> a 
n y SPC <s-backspace> o t h e r SPC <M-left> <M-left> 
<M-left> <M-left> <M-right> <M-right> <down> <down> 
<left> <M-S-right> E m a c s <down> <down> <M-right> 
<down> <down> <up> <M-left> <M-left> <M-left> <M-left> 
<M-left> <M-left> <M-left> <M-left> <M-left> SPC <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <s-down> <S-up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <S-s-down> <backspace> 
C-c C-c <down> <up> <escape> x e m a c s - b u g <return> 
<backspace> <backspace> <backspace> r e p o r t <return> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> r e p o r t - e m a c s <return> 
<return> <help-echo> <down-mouse-2> <mouse-1> h e l 
l o <return> s-w k s-N s-w k <escape> x r e p o r t 
- e m a c s - b u g <return>

Recent messages:
Mark set
[k]ill or [s]ave draft?
Loading msgdb for +/Users/HOME/.0.data/.0.emacs/.0.mail/msgdb/imap/mail.lawlist.com/lawlist/INBOX.Drafts/spool...done
Loading msgdb for %INBOX.Drafts...done
Making change-major-mode-hook buffer-local while locally let-bound!
Type C-c C-x C-z to exit MIME mode, and type C-c C-x ? to get help.
Saving...done
Mark set
[k]ill or [s]ave draft?
Loading msgdb for +/Users/HOME/.0.data/.0.emacs/.0.mail/msgdb/imap/mail.lawlist.com/lawlist/INBOX.Drafts/spool...done

Load-path shadows:
/Users/HOME/.0.data/.0.emacs/elpa/flim/md4 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/md4
/Users/HOME/.0.data/.0.emacs/elpa/flim/hex-util hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/hex-util
/Users/HOME/.0.data/.0.emacs/elpa/flim/sasl hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/sasl
/Users/HOME/.0.data/.0.emacs/elpa/flim/sasl-ntlm hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/sasl-ntlm
/Users/HOME/.0.data/.0.emacs/elpa/flim/sasl-digest hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/sasl-digest
/Users/HOME/.0.data/.0.emacs/elpa/flim/sasl-cram hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/sasl-cram
/Users/HOME/.0.data/.0.emacs/elpa/flim/ntlm hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/ntlm
/Users/HOME/.0.data/.0.emacs/elpa/flim/hmac-md5 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/hmac-md5
/Users/HOME/.0.data/.0.emacs/elpa/flim/hmac-def hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/hmac-def
/Users/HOME/.0.data/.0.emacs/elpa/wanderlust/rfc2368 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/mail/rfc2368
/Users/HOME/.0.data/.0.emacs/elpa/wanderlust/utf7 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/gnus/utf7
/Users/HOME/.0.data/.0.emacs/elpa/semi/smime hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/gnus/smime
/Users/HOME/.0.data/.0.emacs/elpa/el-get/.dir-locals hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/gnus/.dir-locals
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-pgp5 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-pgp5
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-pgp hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-pgp
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-parse hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-parse
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-gpg hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-gpg
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-def hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-def
/Users/HOME/.0.data/.0.emacs/elpa/utilities/longlines hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/longlines

Features:
(shadow emacsbug message rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mailabbrev gmm-utils mailheader wl-score elmo-internal
mule-util network-stream starttls smtp sasl sasl-anonymous sasl-login
sasl-plain ssl wl-mime mime-edit pgg-parse pccl pccl-20 signature
mime-setup mail-mime-setup semi-setup mime-pgp pgg-def mime-play
filename mime-image modb-legacy modb-standard elmo-imap4 time-stamp
server disp-table whitespace hl-line init-wl wl-demo wl-draft
eword-encode wl-template sendmail mail-utils elmo-net elmo-cache
elmo-map elmo-dop wl-news wl-address wl-thread wl-folder wl wl-e21
wl-spam wl-action wl-summary wl-refile wl-util pp elmo-flag
elmo-localdir wl-message elmo-mime mmelmo-buffer mmelmo-imap mime-view
mime-conf calist semi-def mmimap mime-parse mmbuffer mmgeneric
elmo-multi elmo-spam elsp-header elsp-generic elmo elmo-signal
wl-highlight wl-vars wl-version epg-config elmo-msgdb modb
modb-generic modb-entity luna mime elmo-util emu invisible inv-23 poem
poem-e20 poem-e20_3 utf7 eword-decode mel mime-def alist std11
mcharset mcs-20 mcs-e20 pces pces-e20 pces-20 broken pcustom elmo-date
elmo-vars elmo-version path-util poe pym static apel-ver product
w3m-load mime-w3m w3m browse-url doc-view jka-compr image-mode
w3m-hist w3m-fb bookmark-w3m w3m-ems wid-edit w3m-ccl ccl w3m-favicon
w3m-image w3m-proc w3m-util multiple-cursors-autoloads package
ps-print ps-def lpr bbdb-autoloads bbdb timezone linum flyspell ispell
auto-save-buffers-enhanced delsel savehist centered-cursor-mode
calendar-lawlist lawlist-calendar dired-aux dired yasnippet help-mode
debug multiple-cursors mc-separate-operations rectangular-region-mode
mc-mark-more thingatpt mc-cycle-cursors mc-edit-lines
multiple-cursors-core rect saveplace init-auctex tex-site desktop
frameset init-tabbar tabbar init-org derived cl-macs gv edmacro kmacro
org-capture org-mks org-agenda org-toodledo mailcap-toodledo
lawlist-tls http-post-simple cl cl-loaddefs cl-lib url-http tls
url-auth mail-parse rfc2231 rfc2047 rfc2045 ietf-drums url-gw url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util url-parse auth-source eieio eieio-core gnus-util
mm-util mail-prsvr password-cache url-vars mailcap json xml w3mexcerpt
org byte-opt bytecomp byte-compile cconv advice help-fns ob-tangle
ob-ref ob-lob ob-table org-footnote org-src ob-comint ob-keys
org-pcomplete pcomplete comint ansi-color ring org-list org-faces
org-entities noutline outline easy-mmode org-version ob-emacs-lisp ob
org-compat org-macs ob-eval org-loaddefs format-spec find-func
cal-menu calendar cal-loaddefs hideshow easymenu highlight-parentheses
redo time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel
ns-win tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process ns multi-tty emacs)




Acknowledgement sent to Keith David Bershatsky <esq@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16105; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.